Subject: RE: [Simple] event-list

From: [email-masked]
Date: Mon, 24 May 2004 11:28:34 +0200

As a watcher, I am able to subscribe to Bob's and Lisa's presence information anonymously and to John's presence information as myself. Now, if I place Bob, Lisa and John into a resource list, I loose the possibility to subscribe anonymously to some of them. 

For me, as a watcher, it should not make any difference whether the URI I am sending the SUBSCRIBE to is an individual or a resource list. In both cases the watcher application should be able to apply the user requested privacy.

At least 3gpp seems to see such a use case ...

/Gabor

-----Original Message-----
From: ext Jonathan Rosenberg [mailto:[email-masked]]
Sent: Monday, May 24, 2004 1:00 AM
To: Bajko Gabor (Nokia-NET/Budapest)
Cc: [email-masked]; Kiss Krisztian (Nokia-MP/SanDiego)
Subject: Re: [Simple] event-list

[email-masked] wrote:

> The motivation is the following use case:
> 
> Bob sends out a SUBSCRIBE to its buddy list and wants the RLS to
> apply (or request) 'user' privacy for the SUBSCRIBE sent out to the
> first recipient in the list, 'id' privacy for the SUBSCRIBE sent out
> to the second recipient in the list, 'header' and 'id' privacy for
> the SUBSCRIBE sent out to the third recipient in the list, etc.

Right. I understand that. What I don't understand is, why you would want 
to do this? Per my previous note, its my expectation that this would 
never do anything useful.

-Jonathan R.
-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Technology Officer                    Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple